"use strict";
this.name        = "stardestroyer_eqcond";
this.author      = "Norby";
this.copyright   = "2016 Norbert Nagy";
this.licence     = "CC BY-NC-SA 3.0";
this.version     = "1.0";

this.allowAwardEquipment = function(eqKey, ship, context) {
    if (eqKey == "EQ_TIE_F" || eqKey == "EQ_TIE_I" ) {
        if( ship == player.ship && player.ship.docked
            && player.ship.dockedStation && player.ship.dockedStation.hasShipyard ) {
            var w = worldScripts.stardestroyer;
            if( w.$FightersOfPlayer < w.$MaxFighters )
                return true;
        }
    } else if (eqKey == "EQ_TIE_FF" ) {
        if( ship.dataKey == "stardestroyer" || ship.dataKey ==  "stardestroyer-player" )
            return true;
    } else if (eqKey == "EQ_TIE_IF" ) {
        if( ship.dataKey == "stardestroyer-pirate" || ship.dataKey == "stardestroyer-pirate2"
            || ship.dataKey ==  "stardestroyer-player2" )
            return true;
    }
    return false;
}
