"use strict";
this.name	= "stardestroyershuttle";
this.author	= "Norby";
this.copyright	= "2016 Norby";
this.description= "Ship script for stardestroyershuttle";
this.licence	= "CC BY-NC-SA 4.0";

this.$FighterOwner = null; //store the mothership

//ship script events
this.shipCollided = function(otherShip) {
	//prevent destruction, at least sometimes
	if(otherShip == this.$FighterOwner) this.ship.energy = this.ship.maxEnergy;
}

this.shipDied = function() {
        if( this.$FighterOwner == player.ship ) {
                var w = worldScripts.stardestroyer;
                if(this.ship == w.$stardestroyershuttle)
                        w.$stardestroyershuttle = null;
        } else if(this.$FighterOwner && this.$FighterOwner.script
                && this.ship == this.$FighterOwner.script.$stardestroyershuttle) {
                this.$FighterOwner.script.$stardestroyershuttle = null;
        }

}

this.shipWillDockWithStation = function(station) {
        if( this.$FighterOwner == player.ship ) {
                var w = worldScripts.stardestroyer;
	        if(this.ship == w.$stardestroyershuttle) {
		        w.$stardestroyershuttle = null;
                	player.ship.target = null;
                        station.commsMessage("Your Shuttle arrived to "+station.name, player.ship);
	                station.dockPlayer();
                }
        } else if(this.$FighterOwner && this.$FighterOwner.script
                && this.ship == this.$FighterOwner.script.$stardestroyershuttle) {
                this.$FighterOwner.script.$stardestroyershuttle = null;
                this.$FighterOwner.target = station; //NPC SD launch another Shuttle for ambience
        }
        this.ship.remove(true);
}